# Choose the tables the project may read (only tables the operator granted)

`PUT /datasources/{id}/allow` · Rivier · hosting

Choose the tables the project may read (only tables the operator granted).

- Scope: hosting:write
- Sdk: hosting.dataSource.allow
- Cli: hosting data source allow

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "tables": {
      "type": "array",
      "items": {
        "type": "string",
        "maxLength": 130
      },
      "maxItems": 200
    },
    "confirmSensitive": {
      "type": "boolean"
    }
  },
  "required": [
    "tables"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/datasources/{id}/allow' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "tables": [
    "string"
  ]
}'
```
